> ## Documentation Index
> Fetch the complete documentation index at: https://docs.utopikai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer with Citations

> This is a Non-Streaming version that only gives back a minimal set of information



## OpenAPI

````yaml POST /chat/send-message-simple-api
openapi: 3.1.0
info:
  title: UtopikAI Backend
  version: 0.3-dev
servers: []
security: []
paths:
  /chat/send-message-simple-api:
    post:
      summary: Handle Simplified Chat Message
      description: >-
        This is a Non-Streaming version that only gives back a minimal set of
        information
      operationId: handle_simplified_chat_message_chat_send_message_simple_api_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BasicCreateChatMessageRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatBasicResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    BasicCreateChatMessageRequest:
      properties:
        chat_session_id:
          type: integer
          title: Chat Session Id
        message:
          type: string
          title: Message
        retrieval_options:
          $ref: '#/components/schemas/RetrievalDetails'
        query_override:
          type: string
          title: Query Override
        search_doc_ids:
          items:
            type: integer
          type: array
          title: Search Doc Ids
      type: object
      required:
        - chat_session_id
        - message
      title: BasicCreateChatMessageRequest
      description: >-
        Before creating messages, be sure to create a chat_session and get an id

        Note, for simplicity this option only allows for a single linear chain
        of messages
    ChatBasicResponse:
      properties:
        answer:
          type: string
          title: Answer
        answer_citationless:
          type: string
          title: Answer Citationless
        simple_search_docs:
          items:
            $ref: '#/components/schemas/SimpleDoc'
          type: array
          title: Simple Search Docs
        error_msg:
          type: string
          title: Error Msg
      type: object
      title: ChatBasicResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RetrievalDetails:
      properties:
        run_search:
          allOf:
            - $ref: '#/components/schemas/OptionalSearchSetting'
          default: always
        real_time:
          type: boolean
          title: Real Time
          default: true
        filters:
          $ref: '#/components/schemas/BaseFilters'
        enable_auto_detect_filters:
          type: boolean
          title: Enable Auto Detect Filters
        offset:
          type: integer
          title: Offset
        limit:
          type: integer
          title: Limit
      type: object
      title: RetrievalDetails
    SimpleDoc:
      properties:
        semantic_identifier:
          type: string
          title: Semantic Identifier
        link:
          type: string
          title: Link
        blurb:
          type: string
          title: Blurb
        match_highlights:
          items:
            type: string
          type: array
          title: Match Highlights
        source_type:
          $ref: '#/components/schemas/DocumentSource'
      type: object
      required:
        - semantic_identifier
        - blurb
        - match_highlights
        - source_type
      title: SimpleDoc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OptionalSearchSetting:
      type: string
      enum:
        - always
        - never
        - auto
      title: OptionalSearchSetting
      description: An enumeration.
    BaseFilters:
      properties:
        source_type:
          items:
            $ref: '#/components/schemas/DocumentSource'
          type: array
        document_set:
          items:
            type: string
          type: array
          title: Document Set
        time_cutoff:
          type: string
          format: date-time
          title: Time Cutoff
        tags:
          items:
            $ref: '#/components/schemas/Tag'
          type: array
          title: Tags
      type: object
      title: BaseFilters
    DocumentSource:
      type: string
      enum:
        - ingestion_api
        - slack
        - web
        - google_drive
        - gmail
        - requesttracker
        - github
        - gitlab
        - guru
        - bookstack
        - confluence
        - discourse
        - slab
        - salesforce
        - jira
        - productboard
        - file
        - notion
        - zulip
        - linear
        - hubspot
        - document360
        - gong
        - google_sites
        - zendesk
        - loopio
        - sharepoint
        - teams
        - freshdesk
        - fireflies
      title: DocumentSource
      description: An enumeration.
    Tag:
      properties:
        tag_key:
          type: string
          title: Tag Key
        tag_value:
          type: string
          title: Tag Value
      type: object
      required:
        - tag_key
        - tag_value
      title: Tag
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````